curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "eyGqR4YQgBJa",
"name": "Delirium Tremens Beer Bottle 330cc x6",
"vendors": [
"9SiwYqqL8vdG",
"BRAND-48795"
],
"categories": [
"ahEDqV5uhjj8"
],
"description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
"brand": {
"id": "es5086vyV",
"name": "Delirium"
},
"imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
"price": 18.99,
"active": true,
"ean": "4003994155486",
"gtin": "5901234123457",
"quality_score": 0.5,
"metadata": {},
"globalId": "PROD-12345",
"link": "http://www.example.com/asp/sp.asp?cat=12&id=1030",
"variantIds": [
"eyGqR4YQgBJa",
"PROD-548",
"52c8c83c-2f4f-4873-87a0-1ccd88273b27"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Product
Get product by ID.
curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/catalog-search-service/catalogs/products/{product_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "eyGqR4YQgBJa",
"name": "Delirium Tremens Beer Bottle 330cc x6",
"vendors": [
"9SiwYqqL8vdG",
"BRAND-48795"
],
"categories": [
"ahEDqV5uhjj8"
],
"description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
"brand": {
"id": "es5086vyV",
"name": "Delirium"
},
"imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
"price": 18.99,
"active": true,
"ean": "4003994155486",
"gtin": "5901234123457",
"quality_score": 0.5,
"metadata": {},
"globalId": "PROD-12345",
"link": "http://www.example.com/asp/sp.asp?cat=12&id=1030",
"variantIds": [
"eyGqR4YQgBJa",
"PROD-548",
"52c8c83c-2f4f-4873-87a0-1ccd88273b27"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisierungen
Antwort
Successful Response
A product is the minimum unit that can be sold within a marketplace catalog.
The required values are the minimum a product needs to participate in auctions.
Beyond the minimum, we recommend including these fields for every product, since we
use them to improve relevance and reporting:
- description
- price
- brand
- gtin
Flag that indicates whether this product is active. Only active products can take part in campaigns and auctions. Set this value to false to deactivate a product. When a product is deactivated it will be removed from active campaigns.
We advise to set this flag to false when a product is out of stock.
Deprecated since 2026-08-06. Superseded by gtin. European Article Number. Formatted as a thirteen digit EAN-13 code. An empty or whitespace-only value is treated as no value (null).well-formed EAN-13 is stored as no value (null) rather than rejecting the request.
13"4003994155486"
Global Trade Item Number. A GTIN helps us make your ad or listing easier for your customers to find. Products submitted without one may not be eligible for all advertising features. This field accepts EAN-13, UPC-A, JAN, ISBN-13 and GTIN-8 or GTIN-14 codes, with or without spaces or hyphens as separators. An empty or whitespace-only value is treated as no value (null).
"5901234123457"
Marketplace's internal quality score for the product. This in an optional advanced use case, for which we can provide some insights. Examples of metrics include the product's rating, conversion rate, click through rate, combination of other metrics, etc.
0 < x <= 1War diese Seite hilfreich?